---
updatedAt: 2025-06-11T20:34:37.000Z
agentTools:
  projectIndex: https://docs.allthatnode.com/llms.txt
---

# eth_getUncleCountByBlockNumber

Returns the number of uncles in a block from a block matching the given block number.

> ❗️ Deprecated
>
> Methods related to "uncle block" are no longer supported.

# Parameters

* `QUANTITY|TAG` - integer of a block number, or the string "latest", "earliest" or "pending", see the [default block parameter](https://ethereum.org/en/developers/docs/apis/json-rpc/#default-block).

```curl Example
curl https://ethereum-mainnet-archive.allthatnode.com/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--request POST \
--header "Content-Type: application/json" \
--data '{
    "jsonrpc":"2.0",
    "id":1,
    "method":"eth_getUncleCountByBlockNumber",
    "params":[
         "0xe8"
    ]
}'
```

**Note**: An uncle doesn't contain individual transactions.

# Returns

* `QUANTITY` - integer of the number of uncles in this block.

```json Example
{"jsonrpc":"2.0","id":1,"result":"0x1"}
```

***

# Try Yourself

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "ethereum",
    "version": "0.5.0"
  },
  "servers": [
    {
      "url": "https://ethereum-mainnet-archive.allthatnode.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "x-allthatnode-api-key",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/{apiKey}": {
      "post": {
        "summary": "eth_getProof-polygon",
        "description": "Returns the account and storage values of the specified account including the Merkle-proof. This call can be used to verify that the data you are pulling from is not tampered with.",
        "operationId": "eth_getproof-polygon",
        "parameters": [
          {
            "name": "apiKey",
            "in": "path",
            "schema": {
              "type": "string",
              "default": "8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "RAW_BODY"
                ],
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "default": "{     \"jsonrpc\":\"2.0\",     \"id\":1,     \"method\":\"eth_getProof\",     \"params\":[         \"0x7F0d15C7FAae65896648C8273B6d7E43f58Fa842\",         [\"0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421\"],         \"latest\"     ] }"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```